Package com.documentum.fc.client.search

# Interface IDfFacetValue

All Known Subinterfaces:
  `IDfModifiableFacetValue`

public interface IDfFacetValue
Represents a facet value. Note: two facet values are considered equals if their values (not their count) are equal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  Returns the count for the facet value, that is, the number of documents in the query that match this particular value.
  `Map<String,String>`
  `getProperties()`
  Returns a map of custom properties for this facet value.
  `List<IDfFacetValue>`
  `getSubFacetValues()`
  Returns the sub-facet values if any.
  `String`
  `getTypename()`
  Returns the typename for the facet.
  `String`
  `getValue()`
  Returns the value for the facet.
  `boolean`
  `hasProperties()`
  Indicates if this facet value has any custom property.
  `boolean`
  `hasSubFacetValues()`
  Indicates if this facet value has any sub-facet values.

- ## Method Details

  - ### getValue

    String getValue()
    Returns the value for the facet. Example: a date range or an author name.

  - ### getCount

    int getCount()
    Returns the count for the facet value, that is, the number of documents in the query that match this particular value.

  - ### getTypename

    String getTypename()
    Returns the typename for the facet.

  - ### hasSubFacetValues

    boolean hasSubFacetValues()
    Indicates if this facet value has any sub-facet values.

  - ### getSubFacetValues

    List<IDfFacetValue> getSubFacetValues()
    Returns the sub-facet values if any.
    Returns:
      a list of ordered sub-facet values

  - ### hasProperties

    boolean hasProperties()
    Indicates if this facet value has any custom property.

  - ### getProperties

    Map<String,String> getProperties()
    Returns a map of custom properties for this facet value.

    Some facets may have optional custom properties. For example, the date facets will have lowerbound and upperbound as properties.

    Example: group by 'day' will have 2 property per facets:

         lowerbound=2008-04-01T00:00:00
         upperbound=2008-05-01T00:00:00